package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmQuestion;
import org.springframework.stereotype.Component;

/**
 * 习题表(ZccmQuestion)表服务接口
 *
 * @author java
 * @since 2020-12-07 11:35:56
 */

@Component
public interface ZccmQuestionService {

    /**
     * 通过ID查询单条数据
     *
     * @param questionId 主键
     * @return 实例对象
     */
    ZccmQuestion queryById(Integer questionId);

    /**
     * 新增数据
     *
     * @param question 实例对象
     * @return 实例对象
     */
    ZccmQuestion insert(ZccmQuestion question);

    /**
     * 修改数据
     *
     * @param question 实例对象
     * @return 实例对象
     */
    ZccmQuestion update(ZccmQuestion question);

    /**
     * 通过主键删除数据
     *
     * @param questionId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer questionId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 分页查询多条数据
     * @param tagId 题库id
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryByTagLimit(int tagId,int page, int size);

}